uniform mat4 mvpMatrix;
uniform mat4 transformationMatrix;

attribute vec4 position;
attribute vec2 texCoords;

varying vec2 pass_TexCoords;

void main() {

    vec4 transformatedPosition = transformationMatrix * position;
    gl_Position = mvpMatrix * transformatedPosition;
    pass_TexCoords = texCoords;

}