/*
 * Created by Julian Mutter on 7/10/18 3:58 PM
 * Copyright (c) 2018. All rights reserved.
 * Last modified 7/10/18 3:54 PM
 *
 */

package de.frajul.endlessroll.main.ads;

import com.google.android.gms.ads.AdListener;

public class CustomAdListener extends AdListener {

    private AdLoadingListener adLoadingListener;

    public CustomAdListener(AdLoadingListener adLoadingListener) {
        super();
        this.adLoadingListener = adLoadingListener;
    }

    @Override
    public void onAdLoaded() {
        adLoadingListener.onAdLoaded();
    }

    @Override
    public void onAdFailedToLoad(int i) {
        adLoadingListener.onAdFailedToLoad(i);
    }
}
