/*
 * Created by Julian Mutter on 7/10/18 3:58 PM
 * Copyright (c) 2018. All rights reserved.
 * Last modified 7/10/18 3:54 PM
 *
 */

package de.frajul.endlessroll.main;

import android.widget.RelativeLayout;

import java.util.List;

import de.frajul.endlessroll.main.screens.Screen;
import de.frajul.endlessroll.main.tutorial.BreakPoint;

/**
 * Created by Julian on 08.12.2015.
 */
public interface GameHandler extends ExceptionHandler {

    void startInUiThread(Runnable runnable);

    void toScreen(Screen.ScreenType screen);

    RelativeLayout getRootLayout();

    void showTutorialScreen(List<BreakPoint> breakPoints);

}
