/*
 * Created by Julian Mutter on 7/10/18 3:58 PM
 * Copyright (c) 2018. All rights reserved.
 * Last modified 7/10/18 3:54 PM
 *
 */

package de.frajul.endlessroll.main.screens;

import android.support.annotation.LayoutRes;
import android.view.ViewGroup;

import de.frajul.endlessroll.main.GameActivity;
import de.frajul.endlessroll.main.MyGlSurfaceView;
import de.frajul.endlessroll.rendering.renderer.GameRenderer;

/**
 * Created by Julian on 30.07.2016.
 */
public abstract class GLScreen<V extends ViewGroup> extends Screen<V> {

    protected MyGlSurfaceView myGlSurfaceView;
    protected GameRenderer gameRenderer;

    public GLScreen(ScreenType type, GameActivity gameActivity, @LayoutRes int layoutId, MyGlSurfaceView glView) {
        super(type, gameActivity, layoutId);
        this.myGlSurfaceView = glView;
        this.gameRenderer = glView.getRenderer();
    }

}
