/*
 * Created by Julian Mutter on 7/10/18 3:58 PM
 * Copyright (c) 2018. All rights reserved.
 * Last modified 7/10/18 3:54 PM
 *
 */

package de.frajul.endlessroll.sqlDatabase;

/**
 * Created by Julian on 30.05.2016.
 */
public class SQLTablePrimaryKeyColumn extends SQLTableColumn {

    private boolean autoincrement;

    public SQLTablePrimaryKeyColumn(boolean autoincrement) {
        super("_ID", ColumnType.INTEGER, ColumnExtra.PRIMARY_KEY);
        this.autoincrement = autoincrement;
    }

    @Override
    public String toString() {
        if (autoincrement)
            return super.toString() + " AUTOINCREMENT";
        return super.toString();
    }
}
