/*
 * Created by Julian Mutter on 7/10/18 3:58 PM
 * Copyright (c) 2018. All rights reserved.
 * Last modified 7/10/18 3:55 PM
 *
 */

package de.frajul.particlelab.entities.particles.attributes.attributeValues;

import de.frajul.particlelab.data.Color;

public class TintTimelinePoint {

    private float time;
    private Color color;

    public float getTime() {
        return time;
    }

    public void setTime(float time) {
        this.time = time;
    }

    public Color getColor() {
        return color;
    }

    public void setValue(int colorIndex, float value) {
        if (color == null)
            color = new Color();
        if (colorIndex == 0)
            color.setR(value);
        else if (colorIndex == 1)
            color.setG(value);
        else if (colorIndex == 2)
            color.setB(value);
    }

}