/*
 * Created by Julian Mutter on 7/10/18 3:58 PM
 * Copyright (c) 2018. All rights reserved.
 * Last modified 7/10/18 3:54 PM
 *
 */

package de.frajul.particlelab.entities.textures;

/**
 * Created by Julian on 11.12.2015.
 */
public class Texture {

    private int id;
    private int atlasWidth;
    private int atlasHeight;
    private int atlasIndex;

    public Texture(int id, int atlasWidth, int atlasHeight) {
        this.id = id;
        this.atlasWidth = atlasWidth;
        this.atlasHeight = atlasHeight;
    }

    public Texture(Texture other) {
        this.id = other.getId();
        this.atlasWidth = other.getAtlasWidth();
        this.atlasHeight = other.getAtlasHeight();
    }

    public int getId() {
        return id;
    }

    public int getAtlasWidth() {
        return atlasWidth;
    }

    public int getAtlasHeight() {
        return atlasHeight;
    }

    public int getAtlasIndex() {
        return atlasIndex;
    }

    public void setAtlasIndex(int atlasIndex) {
        this.atlasIndex = atlasIndex;
    }
}
